version: '3.7'
services:
  web:
    image: $AZURE_REGISTRY_IMAGE_URL_WEB
    restart: unless-stopped
    container_name: siddha.web
    tty: true
    ports:
      - 80:80
    volumes:
        - "${WEBAPP_STORAGE_HOME}/site/wwwroot:/var/www/persistfiles"
  redis:
    image: redis:7.2.4
    container_name: siddha.redis
    command: redis-server --appendonly yes
    ports:
      - 6379:6379
    environment:
      - REDIS_PASSWORD=sidha
      - REDIS_PORT=6379
      - REDIS_DATABASES=1
    volumes:
        - "${WEBAPP_STORAGE_HOME}/redis-data:/data"
